static const char* const errno_names[] = { 
        [EMULTIHOP] = "EMULTIHOP",
        [EUNATCH] = "EUNATCH",
        [EAFNOSUPPORT] = "EAFNOSUPPORT",
        [EREMCHG] = "EREMCHG",
        [EACCES] = "EACCES",
        [EILSEQ] = "EILSEQ",
        [ESPIPE] = "ESPIPE",
        [EOWNERDEAD] = "EOWNERDEAD",
        [ENOSYS] = "ENOSYS",
        [ENOTTY] = "ENOTTY",
        [EBADE] = "EBADE",
        [EBADF] = "EBADF",
        [EBADR] = "EBADR",
        [EADV] = "EADV",
        [ECANCELED] = "ECANCELED",
        [ETXTBSY] = "ETXTBSY",
        [EKEYREJECTED] = "EKEYREJECTED",
        [EINPROGRESS] = "EINPROGRESS",
        [ENOTBLK] = "ENOTBLK",
        [ERESTART] = "ERESTART",
        [EISNAM] = "EISNAM",
        [ENOMSG] = "ENOMSG",
        [EALREADY] = "EALREADY",
        [ETIMEDOUT] = "ETIMEDOUT",
        [ENODATA] = "ENODATA",
        [EINTR] = "EINTR",
        [ENOLINK] = "ENOLINK",
        [ECHILD] = "ECHILD",
        [ENOTCONN] = "ENOTCONN",
        [ELOOP] = "ELOOP",
        [EINVAL] = "EINVAL",
        [EIO] = "EIO",
        [ESTALE] = "ESTALE",
        [ENOTSOCK] = "ENOTSOCK",
        [ENOSR] = "ENOSR",
        [ELIBACC] = "ELIBACC",
        [ELIBMAX] = "ELIBMAX",
        [ELNRNG] = "ELNRNG",
        [EPIPE] = "EPIPE",
        [EBADMSG] = "EBADMSG",
        [EBFONT] = "EBFONT",
        [EREMOTE] = "EREMOTE",
        [ETOOMANYREFS] = "ETOOMANYREFS",
        [EPFNOSUPPORT] = "EPFNOSUPPORT",
        [ESRMNT] = "ESRMNT",
        [EXFULL] = "EXFULL",
        [EBADSLT] = "EBADSLT",
        [ENOTNAM] = "ENOTNAM",
        [ENOCSI] = "ENOCSI",
        [ENOTEMPTY] = "ENOTEMPTY",
        [EADDRINUSE] = "EADDRINUSE",
        [ENETRESET] = "ENETRESET",
        [EISDIR] = "EISDIR",
        [EDESTADDRREQ] = "EDESTADDRREQ",
        [ECOMM] = "ECOMM",
        [ECONNABORTED] = "ECONNABORTED",
        [EHOSTUNREACH] = "EHOSTUNREACH",
        [EPERM] = "EPERM",
        [EBADFD] = "EBADFD",
        [ENONET] = "ENONET",
        [EL2HLT] = "EL2HLT",
        [ENOKEY] = "ENOKEY",
        [EADDRNOTAVAIL] = "EADDRNOTAVAIL",
        [ESHUTDOWN] = "ESHUTDOWN",
        [ELIBSCN] = "ELIBSCN",
        [ENAVAIL] = "ENAVAIL",
        [EOVERFLOW] = "EOVERFLOW",
        [EUCLEAN] = "EUCLEAN",
        [ENOMEDIUM] = "ENOMEDIUM",
        [EBUSY] = "EBUSY",
        [EPROTO] = "EPROTO",
        [ENODEV] = "ENODEV",
        [EKEYEXPIRED] = "EKEYEXPIRED",
        [EROFS] = "EROFS",
        [EHWPOISON] = "EHWPOISON",
        [E2BIG] = "E2BIG",
        [EDEADLK] = "EDEADLK",
        [ENOTDIR] = "ENOTDIR",
        [ECONNRESET] = "ECONNRESET",
        [EIDRM] = "EIDRM",
        [ENXIO] = "ENXIO",
        [EBADRQC] = "EBADRQC",
        [EL3RST] = "EL3RST",
        [ENAMETOOLONG] = "ENAMETOOLONG",
        [ESOCKTNOSUPPORT] = "ESOCKTNOSUPPORT",
        [ELIBEXEC] = "ELIBEXEC",
        [EDOTDOT] = "EDOTDOT",
        [ERFKILL] = "ERFKILL",
        [ETIME] = "ETIME",
        [EPROTONOSUPPORT] = "EPROTONOSUPPORT",
        [ENOTRECOVERABLE] = "ENOTRECOVERABLE",
        [ENETUNREACH] = "ENETUNREACH",
        [EXDEV] = "EXDEV",
        [EDQUOT] = "EDQUOT",
        [EREMOTEIO] = "EREMOTEIO",
        [ENOSPC] = "ENOSPC",
        [ENOEXEC] = "ENOEXEC",
        [EMSGSIZE] = "EMSGSIZE",
        [EDOM] = "EDOM",
        [ENOSTR] = "ENOSTR",
        [EFBIG] = "EFBIG",
        [ESRCH] = "ESRCH",
        [ECHRNG] = "ECHRNG",
        [EHOSTDOWN] = "EHOSTDOWN",
        [ERANGE] = "ERANGE",
        [ENOLCK] = "ENOLCK",
        [ENFILE] = "ENFILE",
        [ENOANO] = "ENOANO",
        [EISCONN] = "EISCONN",
        [EUSERS] = "EUSERS",
        [ENETDOWN] = "ENETDOWN",
        [ENOPROTOOPT] = "ENOPROTOOPT",
        [EMFILE] = "EMFILE",
        [ENOBUFS] = "ENOBUFS",
        [EPROTOTYPE] = "EPROTOTYPE",
        [EL3HLT] = "EL3HLT",
        [EFAULT] = "EFAULT",
        [ENOMEM] = "ENOMEM",
        [ELIBBAD] = "ELIBBAD",
        [ESTRPIPE] = "ESTRPIPE",
        [ECONNREFUSED] = "ECONNREFUSED",
        [EAGAIN] = "EAGAIN",
        [EEXIST] = "EEXIST",
        [EL2NSYNC] = "EL2NSYNC",
        [ENOENT] = "ENOENT",
        [ENOPKG] = "ENOPKG",
        [EKEYREVOKED] = "EKEYREVOKED",
        [ENOTUNIQ] = "ENOTUNIQ",
        [EMLINK] = "EMLINK",
        [EOPNOTSUPP] = "EOPNOTSUPP",
        [EMEDIUMTYPE] = "EMEDIUMTYPE",
};
